
(function($){
   'use strict'; 
    
    $(window).load(function() {
        // PORTFOLIO ISOTOPE 
        $(".portfolio_items").isotope({
                itemSelector: '.single_item',
                layoutMode: 'fitRows',
                columnWidth: '.col-md-4'
        });

        // isotope click function

        $('.portfolio_filter ul li').on('click', function(){
                $(".portfolio_filter ul li").removeClass("select-cat");
                $(this).addClass("select-cat");

                var selector = $(this).attr('data-filter');
                $(".portfolio_items").isotope({
                        filter: selector,
                        animationOptions: {
                                duration: 750,
                                easing: 'linear',
                                queue: false,
                        }
                });	
        });


        // MAGNIFIC POPUP FOR PORTFOLIO PAGE
        $('.image-link').magnificPopup({
                type:'image'
        });
    });
    
    // TESTIMONIAL CAROUSEL
    if($("#owl-demo").length > 0)
    {
        var owl = $("#owl-demo");		
                owl.owlCarousel({
                navigation : false,
                pagination : false,
                singleItem : true,
                autoPlay   : 3000
        });
    }
   
    

   $(".requie").on('keyup', function() {
        $(this).removeClass('reqError');
    });
   
})(jQuery);